"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const supi_1 = require("supi");
const createStoreController_1 = require("../createStoreController");
const requireHooks_1 = require("../requireHooks");
function default_1(input, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        opts = Object.assign({ update: true }, opts);
        const prefix = opts.prefix || process.cwd();
        opts.hooks = requireHooks_1.default(prefix);
        opts['storeController'] = (yield createStoreController_1.default(opts)).ctrl; // tslint:disable-line
        if (!input || !input.length) {
            return supi_1.install(opts);
        }
        return supi_1.installPkgs(input, opts);
    });
}
exports.default = default_1;
//# sourceMappingURL=update.js.map