"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@pnpm/logger");
const server_1 = require("@pnpm/server");
const loadJsonFile = require("load-json-file");
const path = require("path");
const extendOptions_1 = require("supi/lib/api/extendOptions");
const createStore_1 = require("./createStore");
function default_1(opts) {
    return __awaiter(this, void 0, void 0, function* () {
        const strictOpts = yield extendOptions_1.default(opts); // TODO: Only the store path is needed here
        try {
            const serverJson = yield loadJsonFile(path.join(strictOpts.store, 'server.json'));
            logger_1.default.info('A store service is running and will be used to download the needed packages');
            return {
                ctrl: yield server_1.connectStoreController(serverJson.connectionOptions),
                path: strictOpts.store,
            };
        }
        catch (err) {
            if (err.code !== 'ENOENT')
                throw err;
        }
        return yield createStore_1.default(strictOpts);
    });
}
exports.default = default_1;
//# sourceMappingURL=createStoreController.js.map