"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@pnpm/logger");
const chalk_1 = require("chalk");
const path = require("path");
function requireHooks(prefix) {
    try {
        const pnpmFilePath = path.join(prefix, 'pnpmfile.js');
        const pnpmFile = require(pnpmFilePath);
        const hooks = pnpmFile && pnpmFile.hooks;
        if (!hooks)
            return {};
        if (hooks.readPackage) {
            if (typeof hooks.readPackage !== 'function') {
                throw new TypeError('hooks.readPackage should be a function');
            }
            logger_1.default.info('readPackage hook is declared. Manifests of dependencies might get overridden');
        }
        return hooks;
    }
    catch (err) {
        if (err instanceof SyntaxError) {
            console.error(chalk_1.default.red('A syntax error in the pnpmfile.js\n'));
            console.error(err);
            process.exit(1);
            return;
        }
        if (err.code !== 'MODULE_NOT_FOUND')
            throw err;
        return {};
    }
}
exports.default = requireHooks;
//# sourceMappingURL=requireHooks.js.map